mia-3dnonrigidreg
Prev | Registration, Comparison, and Transformation of 3D images | Next

### mia-3dnonrigidreg

#### Sysnopis:

`mia-3dnonrigidreg` {-i `io`} {-r `io`} {-o `io`} [ `options` ...] [ `Plugin type: 3dimage/fullcost` ...]

#### Description:

This program implements the registration of two gray scale 3D images.

#### Options:

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### IO

-i, --in-image=(input, required); io

  test image. For supported file types see Plugin type: 3dimage/io

-r, --ref-image=(input, required); io

  reference image. For supported file types see Plugin type: 3dimage/io

-o, --out-image=(output, required); io

  registered output image. For supported file types see Plugin type: 3dimage/io

-t, --transformation=(output); io

  output transformation. For supported file types see Plugin type: 3dtransform/io

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Registration

-l, --levels=3; ulong

  multi-resolution levels

-O, --optimizer=gsl:opt=gd,step=0.1; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-f, --transForm=spline:rate=10; factory

  transformation type. For supported plug-ins see Plugin type: 3dimage/transform

#### Example:

Register image test.v to image ref.v by using a spline transformation with a coefficient rate of 5 and write the registered image to reg.v. Use two multiresolution levels, ssd as image cost function and divcurl weighted by 10.0 as transformation smoothness penalty.

    mia-3dnonrigidreg -i test.v -r ref.v -o reg.v -l 2 -f spline:rate=3  image:cost=ssd divcurl:weight=10

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dlandmarks-transform | Home | mia-3dnonrigidreg-alt